#include <iostream>
#include <algorithm>
#include <string>

using namespace std;

long long max3(long long a, long long b, long long c)
{
	return max((max(a, b)), max(b, c));
}

int main()
{
	long long a, b, c;
	cin >> a; cin >> b; cin >> c;

	long long br1 = stoi(to_string(a) + to_string(b) + to_string(c));
	long long br2 = stoi(to_string(a) + to_string(c) + to_string(b));
	long long br3 = stoi(to_string(b) + to_string(a) + to_string(c));
	long long br4 = stoi(to_string(b) + to_string(c) + to_string(a));
	long long br5 = stoi(to_string(c) + to_string(a) + to_string(b));
	long long br6 = stoi(to_string(c) + to_string(b) + to_string(a));

	long long x = max3(br1, br2, br3);
	long long y = max3(br4, br5, br6);

	cout << max(x, y);

    return 0;
}